# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov	%{python3_sitearch}/.*\\.so

%define module	plyvel

Name:		python-%{module}
Version:	1.5.0
Release:	%mkrel 1
Summary:	Python interface to the LevelDB embedded database library
Group:		Development/Python
License:	BSD
URL:		https://github.com/wbolster/plyvel
Source0:	https://pypi.io/packages/source/p/%{module}/%{module}-%{version}.tar.gz

BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
BuildRequires:	python3dist(pytest) >= 2.8
BuildRequires:	python3dist(cython)
BuildRequires:	python3dist(funcsigs)

BuildRequires:	pkgconfig(leveldb)

%description
Plyvel is a fast and feature-rich Python interface to the LevelDB embedded
database library. It has a rich feature set, high performance, and a friendly
Pythonic API.

#------------------------------------------------

%package -n	python3-%{module}
Summary:	Python 3 interface to the LevelDB embedded database library
Group:		Development/Python
%{?python_provide:%python_provide python3-%{module}}

%description -n	python3-%{module}
Plyvel is a fast and feature-rich Python 3 interface to the LevelDB embedded
database library. It has a rich feature set, high performance, and a friendly
Pythonic API.

#------------------------------------------------

%prep
%setup -q -n %{module}-%{version}
%autopatch -p1

# Remove bundled egg-info
rm -rf %{module}.egg-info

%build
cython-3 --cplus --fast-fail --annotate plyvel/_plyvel.pyx
%py3_build

%install
%py3_install

%check
%{__python3} setup.py build_ext --inplace
py.test-%{python3_version}

%files -n python3-%{module}
%doc README.rst NEWS.rst
%license LICENSE.rst
%{python3_sitearch}/%{module}/
%{python3_sitearch}/%{module}-%{version}-py%{python3_version}.egg-info


%changelog
* Sun Jan 08 2023 daviddavid <daviddavid> 1.5.0-1.mga9
+ Revision: 1931635
- new version: 1.5.0

* Wed Mar 30 2022 umeabot <umeabot> 1.4.0-2.mga9
+ Revision: 1834943
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 1.4.0-1.mga9
+ Revision: 1783331
- version 1.4.0
- rebuild for python-3.10

* Mon Mar 22 2021 daviddavid <daviddavid> 1.3.0-2.mga9
+ Revision: 1707358
- rebuild for python 3.9

* Thu Oct 22 2020 daviddavid <daviddavid> 1.3.0-1.mga8
+ Revision: 1638530
- new version: 1.3.0

* Thu Feb 20 2020 umeabot <umeabot> 1.2.0-2.mga8
+ Revision: 1545312
- Mageia 8 Mass Rebuild

* Tue Jan 28 2020 daviddavid <daviddavid> 1.2.0-1.mga8
+ Revision: 1484631
- new version: 1.2.0

* Sun Sep 15 2019 daviddavid <daviddavid> 1.1.0-3.mga8
+ Revision: 1441433
- rebuild for python3.8
- drop python2 support

* Tue Aug 20 2019 wally <wally> 1.1.0-2.mga8
+ Revision: 1430587
- drop python2 tests (no more pytest for python2)

* Sun Jun 30 2019 daviddavid <daviddavid> 1.1.0-1.mga8
+ Revision: 1416333
- new version: 1.1.0

* Tue Jan 08 2019 daviddavid <daviddavid> 1.0.5-3.mga7
+ Revision: 1352853
- rebuild for new Python 3.7

* Sun Sep 23 2018 umeabot <umeabot> 1.0.5-2.mga7
+ Revision: 1300547
- Mageia 7 Mass Rebuild

* Sat Jul 21 2018 daviddavid <daviddavid> 1.0.5-1.mga7
+ Revision: 1244465
- new version: 1.0.5

* Sat Jan 20 2018 daviddavid <daviddavid> 1.0.4-1.mga7
+ Revision: 1195112
- new version: 1.0.4

* Thu Jan 04 2018 daviddavid <daviddavid> 1.0.0-1.mga7
+ Revision: 1190204
- new version: 1.0.0

* Sun Aug 27 2017 pterjan <pterjan> 0.9-3.mga7
+ Revision: 1148250
- Rebuild for python 3.6

* Sun Jan 01 2017 akien <akien> 0.9-2.mga6
+ Revision: 1079436
- Rebuild for leveldb 1.19

* Wed Oct 19 2016 daviddavid <daviddavid> 0.9-1.mga6
+ Revision: 1062194
- imported package python-plyvel

